Skip to main content
PUT
/
tag
/
{identifier}
Update tag
curl --request PUT \
  --url https://api.sendx.io/api/v1/rest/tag/{identifier} \
  --header 'Content-Type: application/json' \
  --header 'X-Team-ApiKey: <api-key>' \
  --data '
{
  "name": "VIP Customer"
}
'
import requests

url = "https://api.sendx.io/api/v1/rest/tag/{identifier}"

payload = { "name": "VIP Customer" }
headers = {
"X-Team-ApiKey": "<api-key>",
"Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'PUT',
headers: {'X-Team-ApiKey': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: 'VIP Customer'})
};

fetch('https://api.sendx.io/api/v1/rest/tag/{identifier}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "tag_abc123def456ghi789",
  "name": "VIP Customer",
  "created": "2024-01-20T10:30:00Z",
  "updated": "2024-01-20T10:30:00Z"
}
{
"status": 401,
"message": "The Team ID or API Key specified is not valid"
}
{
"status": "error",
"message": "Resource with this name already exists"
}
{
"status": "error",
"message": "Resource not found"
}
{
"status": "error",
"message": "Request body is not in proper format"
}
{
"status": "error",
"message": "Internal server error occurred"
}

Authorizations

X-Team-ApiKey
string
header
required

Team API key for authentication. Find your API key in SendX Settings → Team API Key.

Example:

X-Team-ApiKey: your_team_api_key_here

Path Parameters

identifier
string
required

Tag identifier to update

Pattern: ^(tag_)?[a-zA-Z0-9]{22}$

Body

application/json
name
string
required

Tag name (must be unique within team)

Example:

"VIP Customer"

Response

✅ Tag updated successfully

id
string

Unique tag identifier with tag_ prefix

Pattern: ^tag_[a-zA-Z0-9]{22}$
Example:

"tag_abc123def456ghi789"

name
string

Tag name

Example:

"VIP Customer"

created
string<date-time>

Tag creation timestamp

Example:

"2024-01-20T10:30:00Z"

updated
string<date-time>

Tag last update timestamp

Example:

"2024-01-20T10:30:00Z"